* {
  margin: 0;
  padding: 0;
  box-sizing: border-box;
  scroll-behavior: smooth;
  font-family: 'Gill Sans', 'Gill Sans MT', Calibri, 'Trebuchet MS', sans-serif; }

.Loading {
  z-index: 1000;
  background-color: #282c34;
  min-height: 100vh;
  display: flex;
  align-items: center;
  justify-content: center; }

.Overlay {
  position: fixed;
  top: 0;
  left: 0;
  right: 0;
  bottom: 0;
  background-color: rgba(0, 0, 0, 0.75);
  z-index: 100;
  display: flex;
  justify-content: center;
  align-items: center; }

.Overlay .Modal {
  z-index: 200;
  color: black;
  background: #fff;
  top: 50%;
  left: 50%;
  padding: 1.5em;
  border: 2px solid #444;
  width: 900px;
  border-radius: 13px;
  height: 600px;
  display: flex;
  justify-content: space-between; }

.Overlay .Modal .Details > * {
  margin: 0.25em 0; }

.Overlay .Modal .Details li {
  font-size: 1.25rem;
  padding-left: 1em; }

.Overlay .Modal .Details h1 {
  font-size: 2.5rem; }

.Overlay .Modal .Details p,
.Overlay .Modal .Details span {
  font-size: 1.75rem; }

.Overlay .Modal svg {
  font-size: 4rem;
  cursor: pointer;
  position: relative;
  right: 0; }

.Overlay .Modal img {
  max-height: 100%;
  border-radius: 15px; }

@media (max-width: 768px) {
  .Overlay .Modal img {
    display: none; } }

@media (max-height: 500px) {
  .Overlay .Modal img {
    display: none; } }

.Overlay .Modal .Modal-loading {
  width: 100%;
  height: 100%;
  display: flex;
  align-items: center;
  justify-content: center; }

@media (max-width: 768px) {
  .Overlay .Modal {
    width: 95%;
    height: 85%; } }

@media (max-width: 450px) {
  .Overlay .Modal .Details h1 {
    font-size: 2rem; }
  .Overlay .Modal .Details p,
  .Overlay .Modal .Details span {
    font-size: 1.3rem; }
  .Overlay .Modal .Details li {
    font-size: 1rem;
    padding-left: 1em; }
  .Overlay .Modal svg {
    font-size: 3rem; } }

.App {
  background-color: #282c34;
  min-height: 100vh;
  display: grid;
  grid-template-rows: 100px 100px 1fr 150px;
  font-size: calc(10px + 2vmin);
  color: white;
  text-align: center; }

.App .App-header {
  z-index: 50;
  box-shadow: 0 2px 5px black;
  position: sticky;
  top: 0;
  background-color: #282c34;
  display: grid;
  justify-content: center;
  grid-template-columns: minmax(250px, 800px); }

.App .App-header .Search-input {
  padding: 0 3em; }

.App .App-header .Search-input input[type='text'] {
  padding-left: 5px;
  height: 2em;
  background-color: white;
  box-shadow: 0 2px 5px black; }

.App .App-filter {
  display: flex;
  flex-wrap: wrap;
  justify-content: center; }

.App .App-filter .checkbox {
  margin: 0 0.3em;
  display: flex;
  justify-content: center;
  align-items: center; }

.App .App-filter .checkbox span {
  font-size: 1.25rem;
  font-family: 'Roboto', 'Helvetica', 'Arial', sans-serif; }

.App .App-main {
  align-self: center;
  display: flex;
  justify-content: center;
  flex-wrap: wrap;
  padding-top: 1em; }

@media (max-width: 750px) {
  .App .App-main {
    padding-top: 6em; } }

@media (max-width: 350px) {
  .App .App-main {
    padding-top: 9em; } }

.App .App-main .card {
  flex-basis: 320px;
  background-color: #24282f;
  border-radius: 13px;
  padding: 5px;
  margin: 18px 12px;
  box-shadow: 0 2px 5px black; }

@media (max-width: 1440) {
  .App .App-main .card {
    display: none; } }

.App .App-main .card:hover {
  transform: scale(1.1);
  transition-duration: 0.5s; }

.App .App-main .card img {
  cursor: pointer;
  border-radius: 13px;
  width: 100%; }

.App .App-main .card p {
  font-weight: 700;
  text-shadow: 0 2px 5px black;
  letter-spacing: 3px;
  padding: 3px 0 7px 0;
  line-height: 100%; }

.App .App-footer {
  display: flex;
  justify-content: center;
  align-items: center; }
